Get status of data export
curl --request GET \
--url https://api.vantage.sh/v2/data_exports/{data_export_token} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/data_exports/{data_export_token}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/data_exports/{data_export_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "dta_xprt_964b2adb9bff37fb",
"status": "completed",
"created_at": "2025-03-27T20:46:31Z",
"export_type": "cost_report",
"manifest": {
"files": [
"https://example.com/file1.csv"
],
"completed_at": "2025-03-27T20:46:31Z",
"valid_until": "2025-03-28T20:46:31Z"
},
"attributes": {
"report_token": null,
"start_date": null,
"end_date": null,
"groupings": [],
"vql": null,
"settings": null,
"date_bin": null
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}DataExports
Get status of data export
Get the status of a data export.
GET
/
data_exports
/
{data_export_token}
Get status of data export
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- https://console.vantage.sh/account/profile
Scopes1
read
Grants read access
Path Parameters
Response
Returns the completed data export and its manifest. If it is still pending, the response will be a 202 and the caller should check the Location and Retry-After headers to determine where and how long to wait before polling again.